PDA

View Full Version : openoffice.org-core.i386 1:1.9.104-1 and libjawt.so.6/libgcj problem?


rickyb
23rd May 2005, 04:16 AM
'Tried updating openoffice.org to 1.9.104-1 but yum is complaining about libjawt.so.6 as follows:

Setting up Install Process
Setting up repositories
development 100% |=========================| 1.1 kB 00:00
Reading repository metadata in from local files
primary.xml.gz 100% |=========================| 985 kB 00:08
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package openoffice.org-core.i386 1:1.9.104-1 set to be updated
--> Running transaction check
--> Processing Dependency: libjawt.so.6 for package: openoffice.org-core
--> Finished Dependency Resolution
Error: Missing Dependency: libjawt.so.6 is needed by package openoffice.org-core

libgcj-4.0.0.7 seem to have libjawt - but even then it seems yum is not able to 'see' it. Now, libgcj-4.0.0.8 only has libgcjawt.so.6 and the dependency now seem more confusing thatn ever. Anybody else see this, or is it just me?

strikeforce
23rd May 2005, 04:33 AM
Don't you have to install java for open office?

Finalzone
23rd May 2005, 04:49 AM
I enable yum nightly service and openoffice installed succesfully.

rickyb
23rd May 2005, 07:08 AM
I enable yum nightly service and openoffice installed succesfully.

can you post/send me your rpm list? Which repo is your yum pointing to (rawhide?)?

SlowJet
23rd May 2005, 07:41 AM
It just a timing problem on FCT3 rpm's.

OO 104 was compiled just before the gcc4 4.0.8.2 ? packages were changed so the oo 104 won't run if the gcc4 is installed also.

Just pick one or the other then wait for the next oo update (and gcc4 then if you wait.)

I excluded gcc4 as it is a minor fix and I don't compile.

SJ

Finalzone
23rd May 2005, 08:27 AM
can you post/send me your rpm list? Which repo is your yum pointing to (rawhide?)?


$ yum list installed openoffice*
Installed Packages
openoffice.org-calc.i386 1:1.9.104-1 installed
openoffice.org-core.i386 1:1.9.104-1 installed
openoffice.org-draw.i386 1:1.9.104-1 installed
openoffice.org-graphicfilter.i386 1:1.9.104-1 installed
openoffice.org-impress.i386 1:1.9.104-1 installed
openoffice.org-langpack-fr.i386 1:1.9.104-1 installed
openoffice.org-langpack-ja_JP.i386 1:1.9.104-1 installed
openoffice.org-math.i386 1:1.9.104-1 installed
openoffice.org-writer.i386 1:1.9.104-1 installed
openoffice.org-xsltfilter.i386 1:1.9.104-1 installed


yum list available openoffice*
Setting up repositories
Reading repository metadata in from local files
Available Packages
openoffice.org-debuginfo.i386 1:1.9.104-1 development
openoffice.org-javafilter.i386 1:1.9.104-1 development
openoffice.org-langpack-af_ZA.i386 1:1.9.104-1 development
openoffice.org-langpack-ar.i386 1:1.9.104-1 development
openoffice.org-langpack-bg_BG.i386 1:1.9.104-1 development
openoffice.org-langpack-ca_ES.i386 1:1.9.104-1 development
openoffice.org-langpack-cs_CZ.i386 1:1.9.104-1 development
openoffice.org-langpack-cy_GB.i386 1:1.9.104-1 development
openoffice.org-langpack-da_DK.i386 1:1.9.104-1 development
openoffice.org-langpack-de.i386 1:1.9.104-1 development
openoffice.org-langpack-el_GR.i386 1:1.9.104-1 development
openoffice.org-langpack-es.i386 1:1.9.104-1 development
openoffice.org-langpack-et_EE.i386 1:1.9.104-1 development
openoffice.org-langpack-eu_ES.i386 1:1.9.104-1 development
openoffice.org-langpack-fi_FI.i386 1:1.9.104-1 development
openoffice.org-langpack-gl_ES.i386 1:1.9.104-1 development
openoffice.org-langpack-gu_IN.i386 1:1.9.104-1 development
openoffice.org-langpack-he_IL.i386 1:1.9.104-1 development
openoffice.org-langpack-hi_IN.i386 1:1.9.104-1 development
openoffice.org-langpack-hu_HU.i386 1:1.9.104-1 development
openoffice.org-langpack-it.i386 1:1.9.104-1 development
openoffice.org-langpack-ko_KR.i386 1:1.9.104-1 development


I just enabled yum nightly update service on Desktop-->System Settings-->Server settng-->services.

stanch
23rd May 2005, 12:26 PM
I am getting the same error. I uninstalled gcc4 and retried up2date and yum. Both fail.
stanch

brisray
23rd May 2005, 01:24 PM
I had this problem with the OpenOffice dependency too. Even excluding libj*, oo* and openo* wouldn't let me download anything so I went to http://ayo.freshrpms.net/fedora/linux/development/i386/RPMS.core/ then downloaded libmudflap-4.0.0-8.i386.rpm and libgcj-4.0.0-8.i386.rpm

I installed both by using rpm -i --force package_name

While I'm here, is there a way, switch, method etc. so that when using yum -y update you can get it to ignore the packages it has problems with rather then it downloading the headers then just stop with an error and not install anything at all?

Ray

sleeve
23rd May 2005, 09:54 PM
While I'm here, is there a way, switch, method etc. so that when using yum -y update you can get it to ignore the packages it has problems with rather then it downloading the headers then just stop with an error and not install anything at all?

if your talking about signature verification problems you can edit /etc/yum.conf and change gpgcheck=1 to gpgcheck=0 it won't verify the signatures then and let you continue

brisray
23rd May 2005, 11:11 PM
that's not quite what I meant. In fact your suggestion was one of the first things I did after I first installed Fedora.

What I mean is when yum discovers a dependency problem like that which started this thread, it just exits with an error message. So, a single dependency error will stop the downloading and installation of anything else until you either get the error sorted out, use --exclude or specify what updates you want to do.

What I'm asking is whether this action can be skipped in some way so that yum will ask something like "Do you want to continue with the rest of the installations except..."

Perhaps that will cause even more dependency errors?

Ray

wtogami
23rd May 2005, 11:37 PM
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=158485
We know about this problem. It must be fixed for FC4. The 3rd attempt of fixing it is building now. I'll post packages here for you immediately after it is done.

Dog-One
23rd May 2005, 11:56 PM
Warren, is that the Openoffice-core or the libraries?

EDIT: Looks to be both. Jeremy indicates the packages are building now. Will try in the morning--fingers crossed.

Vinneh
24th May 2005, 12:16 AM
If you exclude libgcj from the update, it works.
exclude=libgcj* in config file did it for me

wtogami
24th May 2005, 05:12 AM
build is still failing, multiple problems...

Finalzone
24th May 2005, 05:29 AM
Interesting. I have tried to update as usual and encountered the dependancy issue. On another try, I enabled yum nightly service which run at 6:38 am and solve the dependancy. I am completely baffled with the result, I was able to use the latest Openoffice.org version. Here is the result from yum.log that show openoffice.org succesfully updated. Hopefully this details will provide some hint.


May 22 06:38:18 Updated: libgcc.i386 4.0.0-8
May 22 06:38:57 Updated: glibc-common.i386 2.3.5-7
May 22 06:39:08 Updated: glibc.i686 2.3.5-7
May 22 06:39:08 Updated: libstdc++.i386 4.0.0-8
May 22 06:39:12 Updated: libgcj.i386 4.0.0-8
May 22 06:39:12 Updated: java-1.4.2-gcj-compat.i386 1.4.2.0-40jpp_24rh
May 22 06:39:16 Updated: coreutils.i386 5.2.1-47
May 22 06:39:23 Updated: eclipse-ecj.i386 1:3.1.0_fc-0.M6.20
May 22 06:39:24 Updated: openldap.i386 2.2.23-5
May 22 06:39:24 Updated: policycoreutils.i386 1.23.10-2
May 22 06:39:25 Updated: libgcj-src.i386 4.0.0-8
May 22 06:39:26 Updated: gtk2-engines.i386 2.6.3-2
May 22 06:39:52 Updated: openoffice.org-core.i386 1:1.9.104-1
May 22 06:39:55 Updated: glibc-headers.i386 2.3.5-7
May 22 06:39:56 Updated: glibc-devel.i386 2.3.5-7
May 22 06:39:58 Updated: openoffice.org-calc.i386 1:1.9.104-1
May 22 06:40:05 Updated: xen.i386 2-20050520
May 22 06:40:10 Updated: libswt3-gtk2.i386 1:3.1.0_fc-0.M6.20
May 22 06:40:35 Updated: eclipse-platform.i386 1:3.1.0_fc-0.M6.20
May 22 06:40:46 Updated: libgcj-devel.i386 4.0.0-8
May 22 06:40:53 Updated: libstdc++-devel.i386 4.0.0-8
May 22 06:40:56 Updated: libgfortran.i386 4.0.0-8
May 22 06:40:56 Updated: cpp.i386 4.0.0-8
May 22 06:40:58 Updated: gcc.i386 4.0.0-8
May 22 06:40:59 Updated: gcc-java.i386 4.0.0-8
May 22 06:41:00 Updated: libgal2.i386 2:2.4.2-2
May 22 06:41:01 Updated: gcc-c++.i386 4.0.0-8
May 22 06:41:03 Updated: openoffice.org-writer.i386 1:1.9.104-1
May 22 06:41:03 Updated: openoffice.org-draw.i386 1:1.9.104-1
May 22 06:41:05 Updated: vino.i386 2.10.0-4
May 22 06:41:07 Updated: gtk-engines.i386 1:0.12-7
May 22 06:41:11 Updated: openoffice.org-langpack-fr.i386 1:1.9.104-1
May 22 06:41:13 Updated: openldap-devel.i386 2.2.23-5
May 22 06:41:14 Updated: gcc-gfortran.i386 4.0.0-8
May 22 06:41:15 Updated: shared-mime-info.i386 0.16-3
May 22 06:41:15 Updated: openoffice.org-graphicfilter.i386 1:1.9.104-1
May 22 06:41:26 Updated: eclipse-jdt.i386 1:3.1.0_fc-0.M6.20
May 22 06:41:26 Updated: setup.noarch 2.5.44-1
May 22 06:41:29 Updated: kbd.i386 1.12-10
May 22 06:41:29 Updated: nscd.i386 2.3.5-7
May 22 06:41:30 Updated: dmraid.i386 1.0.0.rc8-FC4_5
May 22 06:41:30 Updated: java-1.4.2-gcj-compat-src.i386 1.4.2.0-40jpp_24rh
May 22 06:41:31 Updated: openoffice.org-xsltfilter.i386 1:1.9.104-1
May 22 06:41:34 Updated: openoffice.org-math.i386 1:1.9.104-1
May 22 06:41:37 Updated: openoffice.org-impress.i386 1:1.9.104-1
May 22 06:41:39 Updated: selinux-policy-targeted.noarch 1.23.16-6
May 22 06:41:43 Updated: openoffice.org-langpack-ja_JP.i386 1:1.9.104-1
May 22 06:41:44 Updated: system-config-soundcard.noarch 1.2.11-4
May 22 06:41:57 Updated: gnome-games.i386 1:2.10.0-5
May 22 06:41:57 Updated: java-1.4.2-gcj-compat-devel.i386 1.4.2.0-40jpp_24rh

wtogami
24th May 2005, 09:41 PM
http://people.redhat.com/wtogami/temp/openoffice/
I copied binaries here for i386 for testing.

rickyb
25th May 2005, 01:34 AM
http://people.redhat.com/wtogami/temp/openoffice/
I copied binaries here for i386 for testing.

sweet! 'yum localinstall' says all dependencies resolved. installing now...
Thanks y'all! :-)


Dependencies Resolved

================================================== ===========================
Package Arch Version Repository Size
================================================== ===========================
Updating:
openoffice.org-calc i386 1:1.9.104-2 openoffice.org-calc-1.9.104
-2.i386.rpm 15 M
openoffice.org-core i386 1:1.9.104-2 openoffice.org-core-1.9.104
-2.i386.rpm 188 M
openoffice.org-draw i386 1:1.9.104-2 openoffice.org-draw-1.9.104
-2.i386.rpm 2.6 M
openoffice.org-graphicfilter i386 1:1.9.104-2 openoffice.org-graphi
cfilter-1.9.104-2.i386.rpm 300 k
openoffice.org-impress i386 1:1.9.104-2 openoffice.org-impress-1.9.
104-2.i386.rpm 4.2 M
openoffice.org-math i386 1:1.9.104-2 openoffice.org-math-1.9.104
-2.i386.rpm 3.1 M
openoffice.org-writer i386 1:1.9.104-2 openoffice.org-writer-1.9.1
04-2.i386.rpm 5.7 M
openoffice.org-xsltfilter i386 1:1.9.104-2 openoffice.org-xsltfilte
r-1.9.104-2.i386.rpm 215 k
Installing for dependencies:
gcc-java i386 4.0.0-8 development 2.3 M
gjdoc i386 0.7.4-5 development 1.1 M
gnu-crypto noarch 2.0.1-1jpp_4fc development 606 k
gnu-crypto-jce-jdk1.4 noarch 2.0.1-1jpp_4fc development 112 k
gnu-crypto-sasl-jdk1.4 noarch 2.0.1-1jpp_4fc development 32 k
java-1.4.2-gcj-compat i386 1.4.2.0-40jpp_24rh development 15 k
jessie noarch 1.0.0-7 development 348 k
libgcj-devel i386 4.0.0-8 development 1.0 M
Updating for dependencies:
libgcj i386 4.0.0-8 development 7.6 M

Transaction Summary
================================================== ===========================
Install 8 Package(s)
Update 9 Package(s)
Remove 0 Package(s)
Total download size: 232 M

Finalzone
25th May 2005, 09:28 AM
"yum localupdate package" command works too. :)

pdcoleman
26th May 2005, 03:55 AM
Warren,

Looks like dependancy creep. None of these were needed in t3 for oo. You need the go back machine. The answer is there.

gcc-java i386 4.0.0-8 development 2.3 M
gjdoc i386 0.7.4-5 development 1.1 M
gnu-crypto noarch 2.0.1-1jpp_4fc development 606 k
gnu-crypto-jce-jdk1.4 noarch 2.0.1-1jpp_4fc development 112 k
gnu-crypto-sasl-jdk1.4 noarch 2.0.1-1jpp_4fc development 32 k
java-1.4.2-gcj-compat i386 1.4.2.0-40jpp_24rh development 15 k
jessie noarch 1.0.0-7 development 348 k
libgcj-devel i386 4.0.0-8 development 1.0 M

Kanchanaburi Travel Photos on Instagram - Tatabanya Photos on Instagram - Florida Instagram Photos